Subject: bug#41495: stat birth time issues with coreutils-8.32

From: Andy <[email-masked]>
Date: Sat, 23 May 2020 14:58:08 -0700

On my arch linux system, I can't see birth time with coreutils-8.32 with 
either of
- zfs mounts
- ext4 mounts

But I am having success with:
- smb mounts

==============
System details:

stat --version
 > stat (GNU coreutils) 8.32

pacman -Qi coreutils
 > version 8.32-1

uname -a
 > 5.6.14-arch1-1 #1 SMP PREEMPT Wed, 20 May 2020 20:43:19 +0000 x86_64 
GNU/Linux

==========================
Reproducible example with ext4 mount:

dd if=/dev/zero of=test.img bs=1M count=10
mkfs.ext4 test.img
mkdir testext4
sudo mount -o loop test.img ~/testext4
sudo chown -R andy:andy testext4
touch testext4/bloop
stat testext4/bloop

   File: testext4/bloop
   Size: 0               Blocks: 0          IO Block: 1024 regular empty 
file
Device: 700h/1792d      Inode: 12          Links: 1
Access: (0644/-rw-r--r--)  Uid: ( 1000/    andy)   Gid: ( 1000/ andy)
Access: 2020-05-23 13:48:01.000000000 -0700
Modify: 2020-05-23 13:47:59.000000000 -0700
Change: 2020-05-23 13:47:59.000000000 -0700
  Birth: -

============================
My rootfs & home are on ZFS and stat on any file currently shows "-" for 
Birth

=============================
Counter working example with samba mount from a server where the 
filesystem is ZFS

stat /mnt/myshare/path/to/a/file.txt
   File: /mnt/myshare/path/to/a/file.txt
   Size: 2407            Blocks: 2048       IO Block: 1048576 regular file
Device: 71h/113d        Inode: 223338692612  Links: 1
Access: (0755/-rwxr-xr-x)  Uid: ( 1000/    andy)   Gid: ( 1000/ andy)
Access: 2020-05-22 14:09:38.730490700 -0700
Modify: 2020-05-22 14:09:38.730490700 -0700
Change: 2020-05-22 14:09:38.730490700 -0700
  Birth: 2020-05-20 10:10:52.302603800 -0700

============================
Seemingly another report here:
https://unix.stackexchange.com/a/583457
 > (Strangely, I was unable to get any birth time to show on Arch Linux 
using a dummy ext4 file system, despite it having met all the above 
requirements.)